Subject: [bug#44174] [PATCH 00/16] Add hledger and its dependencies.

From: Carlo Holl <[email-masked]>
Date: Sat, 31 Oct 2020 19:11:25 -0700

On 24.10.2020 22:26, Christopher Baines wrote:
>
>Carlo Holl <[email-masked]> writes:
>
>> Guix,
>>
>> This patch series adds hledger, a plaintext accounting
>> program. hledger started as a Haskell reimplementation of Ledger
>> CLI. I use hledger regularly to manage personal finances and those of
>> several businesses, and would not be suprised to find other hledger
>> users in the Guix community.
>>
>> More information is available at https://hledger.org.
>
>Hi Carlo, thanks for the patches!
>
>> A couple of notes:
>>
>>     1. The hledger package is placed in (gnu packages finance), and
>>     its dependencies in (gnu packages haskell-xyz).
>
>That sounds good :)
>
>>     2. The hledger package is *not* prefixed with 'ghc', but its
>>     dependencies are.
>
>Also fine.
>
>>     3. The package ghc-doctest was bumped (minor version), affecting several dependent packages.
>>         I was able to build most of these affected packages (querying guix refresh --list-dependents),
>>         but it was taking forever so I cut that effort short. I consider this a rough heuristic to determine
>>         that there are no substantial changes associated with this
>>         version bump.
>
>Sounds good.
>
>>     4. I'm not terribly familiar with the Texinfo format, so there are
>>     likely some rough edges there.
>
>Looks like you've done pretty well from what I've seen :)
>
>>     5. I am able to build hledger and its dependencies without error, but was unsuccessful building
>>         on different architectures with qemu. I wasn't even able to build GHC under qemu so I didn't bother
>>         digging any further.
>
>No problem, if it builds on x86_64-linux, that's good enough at least
>initially.
>
>> This is my first contribution to Guix, and I'm also not a Haskell
>> expert, so expect some headaches. I am happy to attend to any issues
>> as best I am able.
>
>Great, I'll make some more comments on the individual patches, a few
>general comments though:
>
> - The commits should include changelog entries. For new packages, these
>   are pretty easy to write, it's just:
>
>* gnu/packages/FILE.scm (PACKAGE): New variable.
>
> - The indentation looks off in places, there's some stuff here about
>   indentation [1]. What editor are you using?
>
>1: https://guix.gnu.org/manual/en/html_node/Formatting-Code.html
>
>
>Let me know if you have any questions, and it would be great if you
>could send an updated set of patches.
>
>Thanks,
>
>Chris

Chris,

Apologies for the late reply, I was away last week. Thank you for the feedback. I've send a new patch series that I think addresses all the issues you raised.

Best,

--
Carlo Holl
[email-masked]